Retrieve a plan
curl --request GET \
--url https://api.salesbricks.com/api/v2/plans/{plan_id} \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/plans/{plan_id}"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/plans/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_name": "<string>",
"description": "<string>",
"code": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_name": "<string>",
"is_product_active": true,
"is_private": true,
"bricks": [
{
"brick_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brick_name": "<string>",
"brick_type": "SUBSCRIPTION",
"included_units": 123,
"min_units": 123,
"tiers": [
{
"from": 123
}
],
"blocks": [
{
"from": 123,
"to": 123
}
]
}
]
}{
"error": {
"code": "ERR_NOT_FOUND",
"message": "Not found — the resource you are looking for does not exist."
}
}Plans
Retrieve a plan
Returns the details of a plan, including its name and bricks.
GET
/
plans
/
{plan_id}
Retrieve a plan
Authorizations
API key for authentication
Path Parameters
Pattern:
^([a-zA-Z\d\-]+)$Query Parameters
Currency for pricing tiers (default: USD)
Available options:
AUD, CAD, EUR, GBP, INR, USD Response
Unique identifier for the plan
Name of the plan
Description of the plan
Code for the plan
Unique identifier for the product the plan belongs to
Name of the product the plan belongs to
Whether the product is active. Plans on an inactive product are still listed here but cannot be used to build new orders.
Private plans are not selectable by a buyer during self-serve, though your team can still build orders on them.
Bricks for the plan
Show child attributes
Show child attributes